<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
        <RepositoryUrl>https://git.v0l.io/Kieran/NostrServices</RepositoryUrl>
        <Version>1.0.4</Version>
        <Authors>Kieran</Authors>
        <Description>Client wrapper for https://nostr.api.v0l.io</Description>
        <PackageProjectUrl>https://git.v0l.io/Kieran/NostrServices</PackageProjectUrl>
        <PackageLicenseUrl>https://mit-license.org/</PackageLicenseUrl>
        <PackageTags>nostr</PackageTags>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
      <PackageReference Include="Nostr.Client" Version="2.0.0" />
      <PackageReference Include="protobuf-net.Core" Version="3.2.30" />
    </ItemGroup>

</Project>
